export declare const hardforks: {
    chainstart: {
        name: string;
        comment: string;
        url: string;
        status: string;
        gasConfig: {
            minGasLimit: {
                v: number;
                d: string;
            };
            gasLimitBoundDivisor: {
                v: number;
                d: string;
            };
            maxRefundQuotient: {
                v: number;
                d: string;
            };
        };
        gasPrices: {
            base: {
                v: number;
                d: string;
            };
            tierStep: {
                v: number[];
                d: string;
            };
            exp: {
                v: number;
                d: string;
            };
            expByte: {
                v: number;
                d: string;
            };
            keccak256: {
                v: number;
                d: string;
            };
            keccak256Word: {
                v: number;
                d: string;
            };
            sload: {
                v: number;
                d: string;
            };
            sstoreSet: {
                v: number;
                d: string;
            };
            sstoreReset: {
                v: number;
                d: string;
            };
            sstoreRefund: {
                v: number;
                d: string;
            };
            jumpdest: {
                v: number;
                d: string;
            };
            log: {
                v: number;
                d: string;
            };
            logData: {
                v: number;
                d: string;
            };
            logTopic: {
                v: number;
                d: string;
            };
            create: {
                v: number;
                d: string;
            };
            call: {
                v: number;
                d: string;
            };
            callStipend: {
                v: number;
                d: string;
            };
            callValueTransfer: {
                v: number;
                d: string;
            };
            callNewAccount: {
                v: number;
                d: string;
            };
            selfdestructRefund: {
                v: number;
                d: string;
            };
            memory: {
                v: number;
                d: string;
            };
            quadCoeffDiv: {
                v: number;
                d: string;
            };
            createData: {
                v: number;
                d: string;
            };
            tx: {
                v: number;
                d: string;
            };
            txCreation: {
                v: number;
                d: string;
            };
            txDataZero: {
                v: number;
                d: string;
            };
            txDataNonZero: {
                v: number;
                d: string;
            };
            copy: {
                v: number;
                d: string;
            };
            ecRecover: {
                v: number;
                d: string;
            };
            sha256: {
                v: number;
                d: string;
            };
            sha256Word: {
                v: number;
                d: string;
            };
            ripemd160: {
                v: number;
                d: string;
            };
            ripemd160Word: {
                v: number;
                d: string;
            };
            identity: {
                v: number;
                d: string;
            };
            identityWord: {
                v: number;
                d: string;
            };
            stop: {
                v: number;
                d: string;
            };
            add: {
                v: number;
                d: string;
            };
            mul: {
                v: number;
                d: string;
            };
            sub: {
                v: number;
                d: string;
            };
            div: {
                v: number;
                d: string;
            };
            sdiv: {
                v: number;
                d: string;
            };
            mod: {
                v: number;
                d: string;
            };
            smod: {
                v: number;
                d: string;
            };
            addmod: {
                v: number;
                d: string;
            };
            mulmod: {
                v: number;
                d: string;
            };
            signextend: {
                v: number;
                d: string;
            };
            lt: {
                v: number;
                d: string;
            };
            gt: {
                v: number;
                d: string;
            };
            slt: {
                v: number;
                d: string;
            };
            sgt: {
                v: number;
                d: string;
            };
            eq: {
                v: number;
                d: string;
            };
            iszero: {
                v: number;
                d: string;
            };
            and: {
                v: number;
                d: string;
            };
            or: {
                v: number;
                d: string;
            };
            xor: {
                v: number;
                d: string;
            };
            not: {
                v: number;
                d: string;
            };
            byte: {
                v: number;
                d: string;
            };
            address: {
                v: number;
                d: string;
            };
            balance: {
                v: number;
                d: string;
            };
            origin: {
                v: number;
                d: string;
            };
            caller: {
                v: number;
                d: string;
            };
            callvalue: {
                v: number;
                d: string;
            };
            calldataload: {
                v: number;
                d: string;
            };
            calldatasize: {
                v: number;
                d: string;
            };
            calldatacopy: {
                v: number;
                d: string;
            };
            codesize: {
                v: number;
                d: string;
            };
            codecopy: {
                v: number;
                d: string;
            };
            gasprice: {
                v: number;
                d: string;
            };
            extcodesize: {
                v: number;
                d: string;
            };
            extcodecopy: {
                v: number;
                d: string;
            };
            blockhash: {
                v: number;
                d: string;
            };
            coinbase: {
                v: number;
                d: string;
            };
            timestamp: {
                v: number;
                d: string;
            };
            number: {
                v: number;
                d: string;
            };
            difficulty: {
                v: number;
                d: string;
            };
            gaslimit: {
                v: number;
                d: string;
            };
            pop: {
                v: number;
                d: string;
            };
            mload: {
                v: number;
                d: string;
            };
            mstore: {
                v: number;
                d: string;
            };
            mstore8: {
                v: number;
                d: string;
            };
            sstore: {
                v: number;
                d: string;
            };
            jump: {
                v: number;
                d: string;
            };
            jumpi: {
                v: number;
                d: string;
            };
            pc: {
                v: number;
                d: string;
            };
            msize: {
                v: number;
                d: string;
            };
            gas: {
                v: number;
                d: string;
            };
            push: {
                v: number;
                d: string;
            };
            dup: {
                v: number;
                d: string;
            };
            swap: {
                v: number;
                d: string;
            };
            callcode: {
                v: number;
                d: string;
            };
            return: {
                v: number;
                d: string;
            };
            invalid: {
                v: number;
                d: string;
            };
            selfdestruct: {
                v: number;
                d: string;
            };
        };
        vm: {
            stackLimit: {
                v: number;
                d: string;
            };
            callCreateDepth: {
                v: number;
                d: string;
            };
            maxExtraDataSize: {
                v: number;
                d: string;
            };
        };
        pow: {
            minimumDifficulty: {
                v: number;
                d: string;
            };
            difficultyBoundDivisor: {
                v: number;
                d: string;
            };
            durationLimit: {
                v: number;
                d: string;
            };
            epochDuration: {
                v: number;
                d: string;
            };
            timebombPeriod: {
                v: number;
                d: string;
            };
            minerReward: {
                v: string;
                d: string;
            };
            difficultyBombDelay: {
                v: number;
                d: string;
            };
        };
    };
    homestead: {
        name: string;
        comment: string;
        url: string;
        status: string;
        gasConfig: {};
        gasPrices: {
            delegatecall: {
                v: number;
                d: string;
            };
        };
        vm: {};
        pow: {};
    };
    dao: {
        name: string;
        comment: string;
        url: string;
        status: string;
        gasConfig: {};
        gasPrices: {};
        vm: {};
        pow: {};
    };
    tangerineWhistle: {
        name: string;
        comment: string;
        url: string;
        status: string;
        gasConfig: {};
        gasPrices: {
            sload: {
                v: number;
                d: string;
            };
            call: {
                v: number;
                d: string;
            };
            extcodesize: {
                v: number;
                d: string;
            };
            extcodecopy: {
                v: number;
                d: string;
            };
            balance: {
                v: number;
                d: string;
            };
            delegatecall: {
                v: number;
                d: string;
            };
            callcode: {
                v: number;
                d: string;
            };
            selfdestruct: {
                v: number;
                d: string;
            };
        };
        vm: {};
        pow: {};
    };
    spuriousDragon: {
        name: string;
        comment: string;
        url: string;
        status: string;
        gasConfig: {};
        gasPrices: {
            expByte: {
                v: number;
                d: string;
            };
        };
        vm: {
            maxCodeSize: {
                v: number;
                d: string;
            };
        };
        pow: {};
    };
    byzantium: {
        name: string;
        comment: string;
        url: string;
        status: string;
        gasConfig: {};
        gasPrices: {
            modexpGquaddivisor: {
                v: number;
                d: string;
            };
            ecAdd: {
                v: number;
                d: string;
            };
            ecMul: {
                v: number;
                d: string;
            };
            ecPairing: {
                v: number;
                d: string;
            };
            ecPairingWord: {
                v: number;
                d: string;
            };
            revert: {
                v: number;
                d: string;
            };
            staticcall: {
                v: number;
                d: string;
            };
            returndatasize: {
                v: number;
                d: string;
            };
            returndatacopy: {
                v: number;
                d: string;
            };
        };
        vm: {};
        pow: {
            minerReward: {
                v: string;
                d: string;
            };
            difficultyBombDelay: {
                v: number;
                d: string;
            };
        };
    };
    constantinople: {
        name: string;
        comment: string;
        url: string;
        status: string;
        gasConfig: {};
        gasPrices: {
            netSstoreNoopGas: {
                v: number;
                d: string;
            };
            netSstoreInitGas: {
                v: number;
                d: string;
            };
            netSstoreCleanGas: {
                v: number;
                d: string;
            };
            netSstoreDirtyGas: {
                v: number;
                d: string;
            };
            netSstoreClearRefund: {
                v: number;
                d: string;
            };
            netSstoreResetRefund: {
                v: number;
                d: string;
            };
            netSstoreResetClearRefund: {
                v: number;
                d: string;
            };
            shl: {
                v: number;
                d: string;
            };
            shr: {
                v: number;
                d: string;
            };
            sar: {
                v: number;
                d: string;
            };
            extcodehash: {
                v: number;
                d: string;
            };
            create2: {
                v: number;
                d: string;
            };
        };
        vm: {};
        pow: {
            minerReward: {
                v: string;
                d: string;
            };
            difficultyBombDelay: {
                v: number;
                d: string;
            };
        };
    };
    petersburg: {
        name: string;
        comment: string;
        url: string;
        status: string;
        gasConfig: {};
        gasPrices: {
            netSstoreNoopGas: {
                v: null;
                d: string;
            };
            netSstoreInitGas: {
                v: null;
                d: string;
            };
            netSstoreCleanGas: {
                v: null;
                d: string;
            };
            netSstoreDirtyGas: {
                v: null;
                d: string;
            };
            netSstoreClearRefund: {
                v: null;
                d: string;
            };
            netSstoreResetRefund: {
                v: null;
                d: string;
            };
            netSstoreResetClearRefund: {
                v: null;
                d: string;
            };
        };
        vm: {};
        pow: {};
    };
    istanbul: {
        name: string;
        comment: string;
        url: string;
        status: string;
        gasConfig: {};
        gasPrices: {
            blake2Round: {
                v: number;
                d: string;
            };
            ecAdd: {
                v: number;
                d: string;
            };
            ecMul: {
                v: number;
                d: string;
            };
            ecPairing: {
                v: number;
                d: string;
            };
            ecPairingWord: {
                v: number;
                d: string;
            };
            txDataNonZero: {
                v: number;
                d: string;
            };
            sstoreSentryGasEIP2200: {
                v: number;
                d: string;
            };
            sstoreNoopGasEIP2200: {
                v: number;
                d: string;
            };
            sstoreDirtyGasEIP2200: {
                v: number;
                d: string;
            };
            sstoreInitGasEIP2200: {
                v: number;
                d: string;
            };
            sstoreInitRefundEIP2200: {
                v: number;
                d: string;
            };
            sstoreCleanGasEIP2200: {
                v: number;
                d: string;
            };
            sstoreCleanRefundEIP2200: {
                v: number;
                d: string;
            };
            sstoreClearRefundEIP2200: {
                v: number;
                d: string;
            };
            balance: {
                v: number;
                d: string;
            };
            extcodehash: {
                v: number;
                d: string;
            };
            chainid: {
                v: number;
                d: string;
            };
            selfbalance: {
                v: number;
                d: string;
            };
            sload: {
                v: number;
                d: string;
            };
        };
        vm: {};
        pow: {};
    };
    muirGlacier: {
        name: string;
        comment: string;
        url: string;
        status: string;
        gasConfig: {};
        gasPrices: {};
        vm: {};
        pow: {
            difficultyBombDelay: {
                v: number;
                d: string;
            };
        };
    };
    berlin: {
        name: string;
        comment: string;
        url: string;
        status: string;
        eips: number[];
    };
    london: {
        name: string;
        comment: string;
        url: string;
        status: string;
        eips: number[];
    };
    shanghai: {
        name: string;
        comment: string;
        url: string;
        status: string;
        eips: number[];
    };
    arrowGlacier: {
        name: string;
        comment: string;
        url: string;
        status: string;
        eips: number[];
        gasConfig: {};
        gasPrices: {};
        vm: {};
        pow: {};
    };
    grayGlacier: {
        name: string;
        comment: string;
        url: string;
        status: string;
        eips: number[];
        gasConfig: {};
        gasPrices: {};
        vm: {};
        pow: {};
    };
    mergeForkIdTransition: {
        name: string;
        comment: string;
        url: string;
        status: string;
        eips: never[];
    };
    paris: {
        name: string;
        comment: string;
        url: string;
        status: string;
        consensus: {
            type: string;
            algorithm: string;
            casper: {};
        };
        eips: number[];
    };
    cancun: {
        name: string;
        comment: string;
        url: string;
        status: string;
        eips: number[];
    };
};
//# sourceMappingURL=index.d.ts.map